summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Roberto Neri <rneri@libero.it>2012-12-12 19:16:19 +0100
committer Matteo Bernardini <ponce@slackbuilds.org>2012-12-14 17:31:30 +0100
commit8e4e90364e3ee3da1eac36a9a9f73a1838fc8ee8 (patch)
treef7c629e19cb03dc77fa36d3ca959a7228341b9cf
parente76f0e24e0e0bb86d3a290c182a5ec29069cbc17 (diff)
downloadslackbuilds-8e4e90364e3ee3da1eac36a9a9f73a1838fc8ee8.tar.gz
slackbuilds-8e4e90364e3ee3da1eac36a9a9f73a1838fc8ee8.tar.xz
system/sdl-jstest: Added (SDL joystick test utility).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--system/sdl-jstest/README6
-rw-r--r--system/sdl-jstest/sdl-jstest.SlackBuild90
-rw-r--r--system/sdl-jstest/sdl-jstest.info10
-rw-r--r--system/sdl-jstest/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/system/sdl-jstest/README b/system/sdl-jstest/README
new file mode 100644
index 0000000000..3077a011a5
--- /dev/null
+++ b/system/sdl-jstest/README
@@ -0,0 +1,6 @@
+sdl-jstest is a simple program that lets you find out how many
+joysticks SDL detected on your system, how many axes, buttons, hats
+and balls they have each. It also lets you test the joysticks by
+displaying the events they send or by displaying their current button,
+axis, hat or ball state. sdl-jstest is especially useful if you want
+to test your SDL_LINUX_JOYSTICK configuration.
diff --git a/system/sdl-jstest/sdl-jstest.SlackBuild b/system/sdl-jstest/sdl-jstest.SlackBuild
new file mode 100644
index 0000000000..1509fa514f
--- /dev/null
+++ b/system/sdl-jstest/sdl-jstest.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for sdl-jstest
+
+# Copyright 2012 Roberto Neri, Palermo, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sdl-jstest
+VERSION=${VERSION:-20110416git}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make CC="gcc $SLKCFLAGS"
+
+install -D $PRGNAM $PKG/usr/bin/$PRGNAM
+strip --strip-unneeded $PKG/usr/bin/$PRGNAM 2> /dev/null
+
+mkdir -p $PKG/usr/man/man1
+cat $PRGNAM.1 | gzip -9 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/sdl-jstest/sdl-jstest.info b/system/sdl-jstest/sdl-jstest.info
new file mode 100644
index 0000000000..83db9aa60a
--- /dev/null
+++ b/system/sdl-jstest/sdl-jstest.info
@@ -0,0 +1,10 @@
+PRGNAM="sdl-jstest"
+VERSION="20110416git"
+HOMEPAGE="https://github.com/Grumbel/sdl-jstest"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/sdl-jstest-20110416git.tar.xz"
+MD5SUM="516e5ea89fcfd8d4ecac14eda39551ec"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Roberto Neri"
+EMAIL="rneri@libero.it"
diff --git a/system/sdl-jstest/slack-desc b/system/sdl-jstest/slack-desc
new file mode 100644
index 0000000000..c80afa9a8f
--- /dev/null
+++ b/system/sdl-jstest/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sdl-jstest: sdl-jstest (SDL joystick test utility)
+sdl-jstest:
+sdl-jstest: sdl-jstest is a simple program that lets you find out how many
+sdl-jstest: joysticks SDL detected on your system, how many axes, buttons, hats
+sdl-jstest: and balls they have each. It also lets you test the joysticks by
+sdl-jstest: displaying the events they send or by displaying their current button,
+sdl-jstest: axis, hat or ball state. sdl-jstest is especially useful if you want
+sdl-jstest: to test your SDL_LINUX_JOYSTICK configuration.
+sdl-jstest:
+sdl-jstest: Homepage: https://github.com/Grumbel/sdl-jstest
+sdl-jstest: